import { Component, Input, OnInit } from '@angular/core';
import { MqttclientService } from '../mqttclient.service'

@Component({
  selector: 'ledbutton2',
  template: `
  <div [ngStyle]="{ 'text-align': 'center', 'border': '2px solid black', 
                    'width': '150px', 'padding':'5px',
                    'font-family': 'sans-serif' }">
    {{label}}<br/>
    <button (click)="clickOff()" [ngStyle]="{'font-size':'100%'}">off</button>
    <led [topic]="feedbackTopic"></led>
    <button (click)="clickOn()" [ngStyle]="{'font-size':'100%'}">on</button>
  </div>
  `
})
export class LedButtonGroup2Component implements OnInit {

  actionTopic : string
  feedbackTopic : string
  @Input('topic') topicPre : string
  @Input() label : string

  constructor(private mqttclientService : MqttclientService) { }

  ngOnInit() {
    this.actionTopic = this.topicPre + '/state'
    this.feedbackTopic = this.topicPre + '/feedback'
  }


  clickOn() {
    this.mqttclientService.publish(this.actionTopic, "ON")
  }

  clickOff() {
    this.mqttclientService.publish(this.actionTopic, "OFF")
  }


}
